Affiliates
Get Affiliates
Retrieves affiliates for the specified store using query-based filter options.
Supports filtering, sorting, and pagination via query parameters.
Requires the stores.affiliates.view permission.
GET
List store affiliates.
Filterable Fields
This endpoint supports filtering and sorting. See the Filtering & Sorting Guide for syntax details.Filterable Fields
This endpoint supports filtering and sorting. See the Filtering & Sorting Guide for syntax details.
Numeric and date fields take ranges through the comparison operators rather than separate from/to parameters.
Sortable:
isEnabled, email, link, referredOrders, allTimeEarned, payoutCount, dateCreated.
Example:
Query Parameters
Response
200 - application/json
The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.
Last modified on August 2, 2026